{
  "type" : "record",
  "name" : "VariantFileHeader",
  "namespace" : "org.opencb.biodata.models.variant.metadata",
  "doc" : "Variant File Header. Contains simple and complex metadata lines describing the content of the file.\n    This header matches with the VCF header.\n    A header may have multiple Simple or Complex lines with the same key",
  "fields" : [ {
    "name" : "version",
    "type" : "string"
  }, {
    "name" : "complexLines",
    "type" : {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "VariantFileHeaderComplexLine",
        "fields" : [ {
          "name" : "key",
          "type" : "string",
          "doc" : "Key of group of the Complex Header Line, e.g. INFO, FORMAT, FILTER, ALT, ..."
        }, {
          "name" : "id",
          "type" : "string",
          "doc" : "ID or Name of the line"
        }, {
          "name" : "description",
          "type" : [ "null", "string" ],
          "doc" : "The description",
          "default" : null
        }, {
          "name" : "number",
          "type" : [ "null", "string" ],
          "doc" : "Arity of the values associated with this metadata line.\n        Only present if the metadata line describes data fields, i.e. key == INFO or FORMAT\n        Accepted values:\n          - <Integer>: The field has always this number of values.\n          - A: The field has one value per alternate allele.\n          - R: The field has one value for each possible allele, including the reference.\n          - G: The field has one value for each possible genotype\n          - .: The number of possible values varies, is unknown or unbounded.",
          "default" : null
        }, {
          "name" : "type",
          "type" : [ "null", "string" ],
          "doc" : "Type of the values associated with this metadata line.\n        Only present if the metadata line describes data fields, i.e. key == INFO or FORMAT\n        Accepted values:\n          - Integer\n          - Float\n          - String\n          - Character\n          - Flag",
          "default" : null
        }, {
          "name" : "genericFields",
          "type" : {
            "type" : "map",
            "values" : "string"
          },
          "doc" : "Other optional fields",
          "default" : { }
        } ]
      }
    },
    "doc" : "complex lines, e.g. INFO=<ID=NS,Number=1,Type=Integer,Description=\"Number of samples with data\">",
    "default" : [ ]
  }, {
    "name" : "simpleLines",
    "type" : {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "VariantFileHeaderSimpleLine",
        "fields" : [ {
          "name" : "key",
          "type" : "string",
          "doc" : "Key of group of the Simple Header Line, e.g. source, assembly, pedigreeDB, ..."
        }, {
          "name" : "value",
          "type" : "string",
          "doc" : "Value"
        } ]
      }
    },
    "doc" : "simple lines, e.g. fileDate=20090805",
    "default" : [ ]
  } ]
}
